Enable Multiple PHP Version on AmazonLinux

Operating system: amazon linux
OS version:

Hello @Abhijeet_Gaikwad and welcome to the community.

When you post a message on these forums, the title text box permits you to enter the title of the topic and the big box below that is intended for you to describe your issue in detail or frame your question in such a way that humans who are members of the Virtualmin Community can understand and respond meaningfully.

The Virtualmin Forums differ from Google in this respect: Google expects you to enter just a word or phrase and its AI produces millions of results based on that input. The humans of the Virtualmin Community expect more from you - please don’t leave the big box bank; we humans don’t have AI.

I am using webmin on amazon linux on aws EC2, its configured with nginx web server. Current php version is 7.0 for webmin. I want to enable php 7.3 on it, so that i can use multiple php version as per requirement. Can you please help in this ?

You are using Webmin or are you using Webmin + Virtualmin?

Also you are using Amazon Linux, which is not a Grade A supported system in Virtualmin. See https://www.virtualmin.com/os-support.html

Have you seen: https://www.virtualmin.com/documentation/web/multiplephp

I would suggest you choose any of the Grade A OSs that Virtualmin supports and refer to these instructions to install Virtualmin: https://www.virtualmin.com/documentation/installation/automated

I am using Webmin + Virtualmin

Hmm, so you could say, in summary, that you are using Virtualmin. It will automatically be assumed by those in the know that you mean Webmin + Virtualmin when you say Virtualmin.

I suggest you install Virtualmin on any supported OS and let the fun begin.

We have lots of websites on it now changing the OS will be too complicated for us, is there any way to work on same os so that we can achieve multiple php version.

Have you seen: https://www.virtualmin.com/documentation/web/multiplephp

We have installed remi-php73 on that instance but when are we trying to re-check in system settings its not showing 7.3 version , what would be the issue ?

I do not use Amazon Linux so am unable to say. If there are others here who do, they might respond.

All the best!